Package uk.ac.starlink.votable.dom

## Class DelegatingNode

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode

All Implemented Interfaces:
  `org.w3c.dom.Node`

Direct Known Subclasses:
  `DelegatingAttr`, `DelegatingCharacterData`, `DelegatingDocument`, `DelegatingDocumentFragment`, `DelegatingDocumentType`, `DelegatingElement`, `DelegatingEntity`, `DelegatingEntityReference`, `DelegatingNotation`, `DelegatingProcessingInstruction`

    public class DelegatingNode
    extends java.lang.Object
    implements org.w3c.dom.Node

Node implementation which simply delegates all its methods to a base Node instance.

Since:
  10 Sep 2004
Author:
  Mark Taylor (Starlink)

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `DelegatingNode​(org.w3c.dom.Node base, DelegatingDocument doc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.w3c.dom.Node` `appendChild​(org.w3c.dom.Node newChild)`
`org.w3c.dom.Node` `cloneNode​(boolean deep)`
`short` `compareDocumentPosition​(org.w3c.dom.Node other)`
`org.w3c.dom.NamedNodeMap` `getAttributes()`
`java.lang.String` `getBaseURI()`
`org.w3c.dom.NodeList` `getChildNodes()`
`java.lang.Object` `getFeature​(java.lang.String feature, java.lang.String version)`
`org.w3c.dom.Node` `getFirstChild()`
`org.w3c.dom.Node` `getLastChild()`
`java.lang.String` `getLocalName()`
`java.lang.String` `getNamespaceURI()`
`org.w3c.dom.Node` `getNextSibling()`
`java.lang.String` `getNodeName()`
`short` `getNodeType()`
`java.lang.String` `getNodeValue()`
`org.w3c.dom.Document` `getOwnerDocument()`
`org.w3c.dom.Node` `getParentNode()`
`java.lang.String` `getPrefix()`
`org.w3c.dom.Node` `getPreviousSibling()`
`java.lang.String` `getTextContent()`
`java.lang.Object` `getUserData​(java.lang.String key)`
`boolean` `hasAttributes()`
`boolean` `hasChildNodes()`
`org.w3c.dom.Node` `insertBefore​(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)`
`boolean` `isDefaultNamespace​(java.lang.String namespaceURI)`
`boolean` `isEqualNode​(org.w3c.dom.Node other)`
`boolean` `isSameNode​(org.w3c.dom.Node other)`
`boolean` `isSupported​(java.lang.String feature, java.lang.String version)`
`java.lang.String` `lookupNamespaceURI​(java.lang.String prefix)`
`java.lang.String` `lookupPrefix​(java.lang.String namespaceURI)`
`void` `normalize()`
`org.w3c.dom.Node` `removeChild​(org.w3c.dom.Node oldChild)`
`org.w3c.dom.Node` `replaceChild​(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)`
`void` `setNodeValue​(java.lang.String nodeValue)`
`void` `setPrefix​(java.lang.String prefix)`
`void` `setTextContent​(java.lang.String textContent)`
`java.lang.Object` `setUserData​(java.lang.String key, java.lang.Object data, org.w3c.dom.UserDataHandler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingNode

    protected DelegatingNode​(org.w3c.dom.Node base,
                             DelegatingDocument doc)

### Method Detail

#### getNodeName

    public java.lang.String getNodeName()

Specified by:
  `getNodeName` in interface `org.w3c.dom.Node`

#### getNodeValue

    public java.lang.String getNodeValue()

Specified by:
  `getNodeValue` in interface `org.w3c.dom.Node`

#### setNodeValue

    public void setNodeValue​(java.lang.String nodeValue)

Specified by:
  `setNodeValue` in interface `org.w3c.dom.Node`

#### getNodeType

    public short getNodeType()

Specified by:
  `getNodeType` in interface `org.w3c.dom.Node`

#### getParentNode

    public org.w3c.dom.Node getParentNode()

Specified by:
  `getParentNode` in interface `org.w3c.dom.Node`

#### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

Specified by:
  `getChildNodes` in interface `org.w3c.dom.Node`

#### getFirstChild

    public org.w3c.dom.Node getFirstChild()

Specified by:
  `getFirstChild` in interface `org.w3c.dom.Node`

#### getLastChild

    public org.w3c.dom.Node getLastChild()

Specified by:
  `getLastChild` in interface `org.w3c.dom.Node`

#### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

Specified by:
  `getPreviousSibling` in interface `org.w3c.dom.Node`

#### getNextSibling

    public org.w3c.dom.Node getNextSibling()

Specified by:
  `getNextSibling` in interface `org.w3c.dom.Node`

#### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

Specified by:
  `getAttributes` in interface `org.w3c.dom.Node`

#### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

Specified by:
  `getOwnerDocument` in interface `org.w3c.dom.Node`

#### insertBefore

    public org.w3c.dom.Node insertBefore​(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)

Specified by:
  `insertBefore` in interface `org.w3c.dom.Node`

#### replaceChild

    public org.w3c.dom.Node replaceChild​(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)

Specified by:
  `replaceChild` in interface `org.w3c.dom.Node`

#### removeChild

    public org.w3c.dom.Node removeChild​(org.w3c.dom.Node oldChild)

Specified by:
  `removeChild` in interface `org.w3c.dom.Node`

#### appendChild

    public org.w3c.dom.Node appendChild​(org.w3c.dom.Node newChild)

Specified by:
  `appendChild` in interface `org.w3c.dom.Node`

#### hasChildNodes

    public boolean hasChildNodes()

Specified by:
  `hasChildNodes` in interface `org.w3c.dom.Node`

#### cloneNode

    public org.w3c.dom.Node cloneNode​(boolean deep)

Specified by:
  `cloneNode` in interface `org.w3c.dom.Node`

#### normalize

    public void normalize()

Specified by:
  `normalize` in interface `org.w3c.dom.Node`

#### isSupported

    public boolean isSupported​(java.lang.String feature,
                               java.lang.String version)

Specified by:
  `isSupported` in interface `org.w3c.dom.Node`

#### getNamespaceURI

    public java.lang.String getNamespaceURI()

Specified by:
  `getNamespaceURI` in interface `org.w3c.dom.Node`

#### getPrefix

    public java.lang.String getPrefix()

Specified by:
  `getPrefix` in interface `org.w3c.dom.Node`

#### setPrefix

    public void setPrefix​(java.lang.String prefix)

Specified by:
  `setPrefix` in interface `org.w3c.dom.Node`

#### getLocalName

    public java.lang.String getLocalName()

Specified by:
  `getLocalName` in interface `org.w3c.dom.Node`

#### hasAttributes

    public boolean hasAttributes()

Specified by:
  `hasAttributes` in interface `org.w3c.dom.Node`

#### getBaseURI

    public java.lang.String getBaseURI()

Specified by:
  `getBaseURI` in interface `org.w3c.dom.Node`

#### compareDocumentPosition

    public short compareDocumentPosition​(org.w3c.dom.Node other)

Specified by:
  `compareDocumentPosition` in interface `org.w3c.dom.Node`

#### getTextContent

    public java.lang.String getTextContent()

Specified by:
  `getTextContent` in interface `org.w3c.dom.Node`

#### setTextContent

    public void setTextContent​(java.lang.String textContent)

Specified by:
  `setTextContent` in interface `org.w3c.dom.Node`

#### lookupPrefix

    public java.lang.String lookupPrefix​(java.lang.String namespaceURI)

Specified by:
  `lookupPrefix` in interface `org.w3c.dom.Node`

#### isDefaultNamespace

    public boolean isDefaultNamespace​(java.lang.String namespaceURI)

Specified by:
  `isDefaultNamespace` in interface `org.w3c.dom.Node`

#### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI​(java.lang.String prefix)

Specified by:
  `lookupNamespaceURI` in interface `org.w3c.dom.Node`

#### isSameNode

    public boolean isSameNode​(org.w3c.dom.Node other)

Specified by:
  `isSameNode` in interface `org.w3c.dom.Node`

#### isEqualNode

    public boolean isEqualNode​(org.w3c.dom.Node other)

Specified by:
  `isEqualNode` in interface `org.w3c.dom.Node`

#### getFeature

    public java.lang.Object getFeature​(java.lang.String feature,
                                       java.lang.String version)

Specified by:
  `getFeature` in interface `org.w3c.dom.Node`

#### setUserData

    public java.lang.Object setUserData​(java.lang.String key,
                                        java.lang.Object data,
                                        org.w3c.dom.UserDataHandler handler)

Specified by:
  `setUserData` in interface `org.w3c.dom.Node`

#### getUserData

    public java.lang.Object getUserData​(java.lang.String key)

Specified by:
  `getUserData` in interface `org.w3c.dom.Node`